%define upstream_name	 Pod-Coverage
%define upstream_version 0.23

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Checks if the documentation of a perl module is comprehensive
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::Symdump) >= 2.10.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Pod::Find) >= 0.210.0
BuildRequires: perl(Pod::Parser) >= 1.130.0
BuildRequires: perl(Test::More)
BuildRequires: perl-Module-Build
BuildRequires: perl-Devel-Symdump
BuildArch:  noarch

%{?perl_default_filter}

%description
Developers hate writing documentation. They'd hate it even more if their
computer tattled on them, but maybe they'll be even more thankful in the long
run. Even if not, perlmodstyle tells you to, so you must obey. This perl module
provides a mechanism for determining if the pod for a given module is
comprehensive.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor DESTDIR=%{buildroot}
%make


%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml examples
%{perl_vendorlib}/Pod/*
%{_bindir}/pod_cover
%{_mandir}/*/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.230.0-8pclos2017
- rebuild against updates

